<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
define('IN_IORANGE', true);
require 'include/init.php';

$adid = S::gp('aid', 'G', 2);
$targeturl = url('index');

$result = $db->query("SELECT url,spaces FROM `".Ad::table()."` WHERE `adid`='$adid'");
$row = $db->getArr($result);
if (!empty($row))
{
    $targeturl = $row['url'];
    $date = date("Y-m-d");
    $valid = IS_MOBILE ? 1 : 0;
    $ruid = $ruid ? $ruid : 0;
    $uid = $iorange_id ? $iorange_id : 0;
    $add = '`count`=count+1,`day` = `day` + 1';
    IS_MOBILE && $add .= ',day_valid = day_valid + 1';
    $db->query("UPDATE `".Ad::table()."` SET {$add} WHERE `adid`='$adid'");
    $db->query("INSERT INTO `".Adlog::table()."` (`adid`, `ip`, `date`, `space`, `valid`, `ruid`, `uid`) VALUES ('$adid', '$onlineip', '$date', '{$row['spaces']}', '$valid', '$ruid', '$uid')");
}

iforward($targeturl);